### Method

# Soup MessageMetrics get_connect_end

#### Declaration [src]

    guint64
    soup_message_metrics_get_connect_end (
      SoupMessageMetrics* metrics
    )

#### Description [src]

Get the time immediately after the `SoupMessage` completed the connection to the server. This includes the time for the proxy negotiation and TLS handshake.

It will be 0 if no network connection was required to fetch the resource (a persistent connection was used or resource was loaded from the local disk cache).

#### Return value

Returns: | `guint64`
| The connection end time.